/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Area;


/**
 *
 * @author sistem16user
 */
public interface AreaDAO {
 public ArrayList<Area> listarAreas() throws Exception;
 public Area NombreAreas(String cod) throws Exception;
 public void Actualizar(String codigo,String nombreArea) throws Exception;
 public int registrarAreas(String nombreArea) throws Exception;
 public void cambiarEstado(String dato, String codigoArea) throws Exception;
 public ArrayList<Area> cargarArea(int cod) throws Exception;
 public int cantidadAreaUso(String codigoArea) throws Exception;
 public Area datosArea(String codDocente) throws Exception;
 public int registrarAreaDocente(String codigoArea, String codigoDocente) throws Exception;
 public ArrayList<Area> listarAreasDocente(String codDocente) throws Exception;
}
